diff -ru ooo_SRC680_m97_src.orig/tools/inc/intntab.hxx ooo_SRC680_m97_src/tools/inc/intntab.hxx
--- ooo_SRC680_m97_src.orig/tools/inc/intntab.hxx	2000-09-18 19:03:02.000000000 +0200
+++ ooo_SRC680_m97_src/tools/inc/intntab.hxx	2005-04-26 07:03:34.000000000 +0200
@@ -120,7 +120,7 @@
 // - Language-Tabellen -
 // ---------------------
 
-#define STD_LANGUAGE	33
+#define STD_LANGUAGE	34
 
 USHORT ImplGetSystemLanguageCount();
 void   ImplUpdateSystemLanguage( LanguageType eLanguage, LanguageTable* pTable );
@@ -130,7 +130,7 @@
 // - Format-Tabellen -
 // -------------------
 
-#define STD_FORMAT		51
+#define STD_FORMAT		52
 
 USHORT ImplGetSystemFormatCount();
 void   ImplUpdateSystemFormat( LanguageType eLanguage, FormatTable* pTable );
diff -ru ooo_SRC680_m97_src.orig/tools/source/intntl/intn.cxx ooo_SRC680_m97_src/tools/source/intntl/intn.cxx
--- ooo_SRC680_m97_src.orig/tools/source/intntl/intn.cxx	2001-06-15 15:11:39.000000000 +0200
+++ ooo_SRC680_m97_src/tools/source/intntl/intn.cxx	2005-04-26 07:03:34.000000000 +0200
@@ -1174,7 +1174,8 @@
             LANGUAGE_PORTUGUESE_BRAZILIAN,
             LANGUAGE_SPANISH,
             LANGUAGE_SPANISH_MODERN,
-            LANGUAGE_SWEDISH
+            LANGUAGE_SWEDISH,
+            LANGUAGE_CZECH
         };
 #endif
 
@@ -1371,7 +1372,8 @@
             LANGUAGE_ENGLISH_UK,
             LANGUAGE_ENGLISH_US,
             LANGUAGE_SPANISH_URUGUAY,
-            LANGUAGE_SPANISH_VENEZUELA
+            LANGUAGE_SPANISH_VENEZUELA,
+            LANGUAGE_CZECH
         };
 #endif
 
diff -ru ooo_SRC680_m97_src.orig/tools/source/intntl/intntab.cxx ooo_SRC680_m97_src/tools/source/intntl/intntab.cxx
--- ooo_SRC680_m97_src.orig/tools/source/intntl/intntab.cxx	2004-02-26 14:20:48.000000000 +0100
+++ ooo_SRC680_m97_src/tools/source/intntl/intntab.cxx	2005-04-26 21:47:51.000000000 +0200
@@ -83,20 +83,31 @@
 // PT = .
 // _  = -
 
-#define CCE 			"\xE7"
 #define AAC 			"\xE1"
-#define ACAC			"\xC1"
+#define ATI 			"\xE3"
 #define ADI 			"\xE4"
-#define ACDI			"\xC4"
 #define ARI 			"\xE5"
-#define ATI 			"\xE3"
+#define AE			"\xE6"
+#define CCE 			"\xE7"
+#define SCCE 			"\xE8"
 #define EAC 			"\xE9"
+#define ECE			"\xEC"
+#define IAC			"\xED"
+#define ACAC			"\xC1"
+#define ACDI			"\xC4"
+#define CCAC			"\xC8"
 #define ECAC			"\xC9"
+#define UDI			"\xDA"
+#define SZ			"\xDF"
 #define ODI 			"\xF6"
 #define OSL 			"\xF8"
 #define UCI 			"\xFB"
+#define USI			"\xFA"
-#define AE				"\xE6"
-#define SZ				"\xDF"
+#define YDI			"\xFD"
+
+
+static char const aKc[] 		  = "K" SCCE;
+
 
 // =======================================================================
 
@@ -116,6 +126,7 @@
 static char const alunes[]			  = "lunes";
 static char const alunedi[] 		  = "lunedi";
 static char const asegunda_feira[]	  = "segunda-feira";
+static char const aPondeli[]			  = "Pond" ECE "l" IAC;
 static char const aMon[]			  = "Mon";
 static char const aMo[] 			  = "Mo";
 static char const amaa[]			  = "maa";
@@ -125,6 +136,7 @@
 static char const alun[]			  = "lun";
 static char const asegPT[]			  = "seg.";
 static char const aLUN[]			  = "LUN";
+static char const aPo[]			  = "Po";
 
 
 // Dienstag
@@ -139,6 +151,7 @@
 static char const amartes[] 		  = "martes";
 static char const amartedi[]		  = "martedi";
 static char const atercCEa_feira[]	  = "ter" CCE "a-feira";
+static char const aUtery[]		  = UDI "ter" YDI;
 static char const aTue[]			  = "Tue";
 static char const aDi[] 			  = "Di";
 static char const adin[]			  = "din";
@@ -146,6 +159,7 @@
 static char const amar[]			  = "mar";
 static char const aterPT[]			  = "ter.";
 static char const aMAR[]			  = "MAR";
+static char const aUt[]			  = UDI "t";
 
 
 // Mittwoch
@@ -159,6 +173,7 @@
 static char const amercoledi[]		  = "mercoledi";
 static char const amieACrcoles[]	  = "mi" EAC "rcoles";
 static char const aquarta_feira[]	  = "quarta-feira";
+static char const aStreda[]	  	  = "St" OSL "eda";
 static char const aWed[]			  = "Wed";
 static char const aMi[] 			  = "Mi";
 static char const awoe[]			  = "woe";
@@ -170,6 +185,7 @@
 static char const aquaPT[]			  = "qua.";
 static char const aMER[]			  = "MER";
 static char const aMIECAC[] 		  = "MI" ECAC;
+static char const aSt[] 		  = "St";
 
 
 // Donnerstag
@@ -183,6 +199,7 @@
 static char const ajueves[] 		  = "jueves";
 static char const agiovedi[]		  = "giovedi";
 static char const aquinta_feira[]	  = "quinta-feira";
+static char const aCtvrtek[]	  	  = CCAC "tvrtek";
 static char const aThu[]			  = "Thu";
 static char const aDo[] 			  = "Do";
 static char const adon[]			  = "don";
@@ -192,6 +209,7 @@
 static char const aquiPT[]			  = "qui.";
 static char const aGIO[]			  = "GIO";
 static char const aJUE[]			  = "JUE";
+static char const aCt[]			          = CCAC "t";
 
 
 // Freitag
@@ -205,6 +223,7 @@
 static char const avenerdi[]		  = "venerdi";
 static char const aviernes[]		  = "viernes";
 static char const asexta_feira[]	  = "sexta-feira";
+static char const aPatek[]	          = "P" AAC "tek";
 static char const aFri[]			  = "Fri";
 static char const aFr[] 			  = "Fr";
 static char const avri[]			  = "vri";
@@ -216,6 +235,7 @@
 static char const asexPT[]			  = "sex.";
 static char const aVEN[]			  = "VEN";
 static char const aVIE[]			  = "VIE";
+static char const aPa[]			  = "P" AAC;
 
 
 // Samstag
@@ -229,6 +249,7 @@
 static char const asamedi[] 		  = "samedi";
 static char const asabato[] 		  = "sabato";
 static char const asaACbado[]		  = "s" AAC "bado";
+static char const aSobota[] 	 	  = "Sobota";
 static char const aSat[]			  = "Sat";
 static char const aSa[] 			  = "Sa";
 static char const azat[]			  = "zat";
@@ -241,6 +262,7 @@
 static char const asaACbPT[]		  = "s" AAC "b.";
 static char const aSAB[]			  = "SAB";
 static char const aSACACB[] 		  = "S" ACAC "B";
+static char const aSob[] 		  = "So";
 
 
 // Sonntag
@@ -254,6 +276,7 @@
 static char const adomingo[]		  = "domingo";
 static char const adomenica[]		  = "domenica";
 static char const azondag[] 		  = "zondag";
+static char const aNedele[] 		  = "Ned" ECE "le";
 static char const aSun[]			  = "Sun";
 static char const aSo[] 			  = "So";
 static char const azon[]			  = "zon";
@@ -265,6 +288,7 @@
 static char const adimPT[]			  = "dim.";
 static char const adomPT[]			  = "dom.";
 static char const aDOM[]			  = "DOM";
+static char const aNe[]		 		  = "Ne";
 
 
 
@@ -279,6 +303,7 @@
 static char const agennaio[]		  = "gennaio";
 static char const aenero[]			  = "enero";
 static char const atammikuu[]		  = "tammikuu";
+static char const aLeden[]		  = "leden";
 static char const aJan[]			  = "Jan";
 static char const ajan[]			  = "jan";
 static char const ajanvPT[] 		  = "janv.";
@@ -286,6 +311,7 @@
 static char const aJAN[]			  = "JAN";
 static char const aGEN[]			  = "GEN";
 static char const aENE[]			  = "ENE";
+static char const aLed[]			  = "led";
 
 
 // Februar
@@ -299,6 +325,7 @@
 static char const afebrero[]		  = "febrero";
 static char const afevereiro[]		  = "fevereiro";
 static char const ahelmikuu[]		  = "helmikuu";
+static char const aUnor[]		  = USI "nor";
 static char const aFeb[]			  = "Feb";
 static char const afeb[]			  = "feb";
 static char const ahelmi[]			  = "helmi";
@@ -306,6 +333,7 @@
 static char const afeACvrPT[]		  = "f" EAC "vr.";
 static char const aFEB[]			  = "FEB";
 static char const aFEV[]			  = "FEV";
+static char const aUno[]			  = USI "no";
 
 
 // Maerz
@@ -318,10 +346,12 @@
 static char const amarzo[]			  = "marzo";
 static char const amarcCEo[]		  = "mar" CCE "o";
 static char const amaaliskuu[]		  = "maaliskuu";
+static char const aBrezen[]		  = "b" OSL "ezen";
 static char const aMar[]			  = "Mar";
 static char const aMrz[]			  = "Mrz";
 static char const amrt[]			  = "mrt";
 static char const amaalis[] 		  = "maalis";
+static char const aBre[]			  = "bre";
 
 
 // April
@@ -332,6 +362,7 @@
 static char const aaprile[] 		  = "aprile";
 static char const aabril[]			  = "abril";
 static char const ahuhtikuu[]		  = "huhtikuu";
+static char const aDuben[]		  = "duben";
 static char const aApr[]			  = "Apr";
 static char const aapr[]			  = "apr";
 static char const aavr[]			  = "avr";
@@ -339,6 +370,7 @@
 static char const aAPR[]			  = "APR";
 static char const aABR[]			  = "ABR";
 static char const ahuhti[]			  = "huhti";
+static char const aDub[]			  = "dub";
 
 
 // Mai
@@ -350,12 +382,14 @@
 static char const amei[]			  = "mei";
 static char const amaio[]			  = "maio";
 static char const amayo[]			  = "mayo";
+static char const aKveten[]			  = "kv" ECE "ten";
 static char const amaggio[] 		  = "maggio";
 static char const atoukokuu[]		  = "toukokuu";
 static char const aMAG[]			  = "MAG";
 static char const aMAI[]			  = "MAI";
 static char const aMAY[]			  = "MAY";
 static char const atouko[]			  = "touko";
+static char const aKve[]			  = "kv" ECE;
 
 
 // Juni
@@ -368,11 +402,13 @@
 static char const ajunio[]			  = "junio";
 static char const agiugno[] 		  = "giugno";
 static char const akesaDIkuu[]		  = "kes" ADI "kuu";
+static char const aCerven[]		  = SCCE "erven";
 static char const aJun[]			  = "Jun";
 static char const ajun[]			  = "jun";
 static char const aGIU[]			  = "GIU";
 static char const aJUN[]			  = "JUN";
 static char const akesaDI[] 		  = "kes" ADI;
+static char const aCrn[] 		  = "crn";
 
 
 // Juli
@@ -389,8 +425,10 @@
 static char const ajul[]			  = "jul";
 static char const ajuilPT[] 		  = "juil.";
 static char const aheinaDI[]		  = "hein" ADI;
+static char const aCervenec[]		  = SCCE "ervenec";
 static char const aLUG[]			  = "LUG";
 static char const aJUL[]			  = "JUL";
+static char const aCvc[]			  = "cvc";
 
 
 // August
@@ -402,11 +440,13 @@
 static char const aaouCIt[] 		  = "ao" UCI "t";
 static char const aagosto[] 		  = "agosto";
 static char const aelokuu[] 		  = "elokuu";
+static char const aSrpen[] 		  = "srpen";
 static char const aAug[]			  = "Aug";
 static char const aaug[]			  = "aug";
 static char const aaouCI[]			  = "ao" UCI;
 static char const aelo[]			  = "elo";
 static char const aAGO[]			  = "AGO";
+static char const aSrp[]			  = "srp";
 
 
 // September
@@ -418,12 +458,14 @@
 static char const asetembro[]		  = "setembro";
 static char const aseptiembre[] 	  = "septiembre";
 static char const asyyskuu[]		  = "syyskuu";
+static char const aZari[]		  = "z" AAC OSL IAC;
 static char const aSep[]			  = "Sep";
 static char const asep[]			  = "sep";
 static char const aseptPT[] 		  = "sept.";
 static char const asyys[]			  = "syys";
 static char const aSET[]			  = "SET";
 static char const aSEP[]			  = "SEP";
+static char const aZar[]			  = "zar";
 
 
 // Oktober
@@ -436,6 +478,7 @@
 static char const aottobre[]		  = "ottobre";
 static char const aoutubro[]		  = "outubro";
 static char const alokakuu[]		  = "lokakuu";
+static char const aRijen[]		  = OSL IAC "jen";
 static char const aOct[]			  = "Oct";
 static char const aOkt[]			  = "Okt";
 static char const aokt[]			  = "okt";
@@ -445,6 +488,7 @@
 static char const aOUT[]			  = "OUT";
 static char const aOCT[]			  = "OCT";
 static char const aloka[]			  = "loka";
+static char const aRij[]			  = OSL IAC "j";
 
 
 // November
@@ -455,11 +499,13 @@
 static char const anoviembre[]		  = "noviembre";
 static char const anovembro[]		  = "novembro";
 static char const amarraskuu[]		  = "marraskuu";
+static char const aListopad[]		  = "listopad";
 static char const aNov[]			  = "Nov";
 static char const anov[]			  = "nov";
 static char const anovPT[]			  = "nov.";
 static char const amarras[] 		  = "marras";
 static char const aNOV[]			  = "NOV";
+static char const aLis[]			  = "lis";
 
 
 // Dezember
@@ -472,6 +518,7 @@
 static char const adicembre[]		  = "dicembre";
 static char const adiciembre[]		  = "diciembre";
 static char const ajoulukuu[]		  = "joulukuu";
+static char const aProsinec[]		  = "prosinec";
 static char const aDec[]			  = "Dec";
 static char const aDez[]			  = "Dez";
 static char const adec[]			  = "dec";
@@ -480,6 +527,7 @@
 static char const ajoulu[]			  = "joulu";
 static char const aDIC[]			  = "DIC";
 static char const aDEZ[]			  = "DEZ";
+static char const aPro[]			  = "pro";
 
 
 
@@ -917,6 +965,65 @@
 
 // -----------------------------------------------------------------------
 
+static void ImplUpdateLanguageCzech( LanguageTable* pTable )
+{
+	pTable->pCompareProc				= ImplStdLanguageCompare;
+
+	*(pTable->pFollowingText[ 0]) = (xub_Unicode)'f';
+	ImplAssignText( *(pTable->pFollowingText[ 1]),		aff, RTL_TEXTENCODING_ISO_8859_2 );
+
+	ImplAssignText( *(pTable->pDayText[0]), 			aPondeli,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[1]), 			aUtery,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[2]), 			aStreda,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[3]), 			aCtvrtek,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[4]), 			aPatek,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[5]), 			aSobota,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pDayText[6]), 			aNedele,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[0]),		aPo,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[1]),		aUt,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[2]),		aSt,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[3]),		aCt,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[4]),		aPa,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[5]),		aSob,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevDayText[6]),		aNe,			RTL_TEXTENCODING_ISO_8859_2 );
+
+	ImplAssignText( *(pTable->pMonthText[ 0]),			aLeden,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 1]),			aUnor,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 2]),			aBrezen,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 3]),			aDuben, 	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 4]),			aKveten,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 5]),			aCerven,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 6]),			aCervenec,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 7]),			aSrpen,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 8]),			aZari, 		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[ 9]),			aRijen,		RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[10]),			aListopad,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pMonthText[11]),			aProsinec,	RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 0]),	aLed,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 1]),	aUno,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 2]),	aBre,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 3]),	aDub,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 4]),	aKve,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 5]),	aCrn,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 6]),	aCvc,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 7]),	aSrp,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 8]),	aZar,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[ 9]),	aRij,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[10]),	aLis,			RTL_TEXTENCODING_ISO_8859_2 );
+	ImplAssignText( *(pTable->pAbbrevMonthText[11]),	aPro,			RTL_TEXTENCODING_ISO_8859_2 );
+
+	pTable->meQuotationMarkStart		= LOW_SINGLE_COMMA_QUOTATION_MARK;
+	pTable->meQuotationMarkEnd			= SINGLE_TURNED_COMMA_QUOTATION_MARK;
+	pTable->meQuotationMarkStart2		= APOSTOPHE_QUOTE;
+	pTable->meQuotationMarkEnd2 		= APOSTOPHE_QUOTE;
+	pTable->meDoubleQuotationMarkStart	= LOW_DOUBLE_COMMA_QUOTATION_MARK;
+	pTable->meDoubleQuotationMarkEnd	= DOUBLE_TURNED_COMMA_QUOTATION_MARK;
+	pTable->meDoubleQuotationMarkStart2 = RIGHT_POINTING_GUILLEMET;
+	pTable->meDoubleQuotationMarkEnd2	= LEFT_POINTING_GUILLEMET;
+}
+
+// -----------------------------------------------------------------------
+
 static void ImplUpdateLanguageItalian( LanguageTable* pTable )
 {
 // !!!	  pTable->pCompareProc				  = ImplStdLanguageCompare;
@@ -1237,6 +1344,10 @@
 		case LANGUAGE_SWEDISH:
 			ImplUpdateLanguageSwedish( pTable );
 			break;
+
+		case LANGUAGE_CZECH:
+			ImplUpdateLanguageCzech( pTable );
+			break;
 	}
 }
 
@@ -1506,7 +1617,7 @@
 }
 
 // -----------------------------------------------------------------------
-/*
+
 static void ImplUpdateFormatCzech( FormatTable* pTable )
 {
 	pTable->cDateSep					= '.';
@@ -1524,10 +1635,10 @@
 	pTable->cNumDecimalSep				= ',';
 	pTable->nCurrPositiveFormat 		= 3;
 	pTable->nCurrNegativeFormat 		= 8;
-	pTable->aCurrSymbol 				= aChech; // need UniCode
+        ImplAssignText( pTable->aCurrSymbol, aKc, RTL_TEXTENCODING_ISO_8859_2 );
 	pTable->aCurrBankSymbol.AssignAscii( "CZK" );
 }
-*/
+
 // -----------------------------------------------------------------------
 
 static void ImplUpdateFormatDanish( FormatTable* pTable )
@@ -2157,11 +2268,11 @@
 		case LANGUAGE_SPANISH_COLOMBIA:
 			ImplUpdateFormatColombia( pTable );
 			break;
-/*
+
 		case LANGUAGE_CZECH:
 			ImplUpdateFormatCzech( pTable );
 			break;
-*/
+
 		case LANGUAGE_DANISH:
 			ImplUpdateFormatDanish( pTable );
 			break;
